---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2025-10-27T12:06:17Z"
  generation: 1
  labels:
    control-plane: controller-manager
    olm.managed: "true"
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:control-plane: {}
          f:olm.managed: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"0caffca3-c6bc-46fe-b10e-a53881926f10"}: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:selector: {}
    manager: catalog
    operation: Update
    time: "2025-10-27T12:06:17Z"
  name: nfd-controller-manager-metrics-monitor
  namespace: openshift-nfd
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: ClusterServiceVersion
    name: nfd.4.19.0-202510142112
    uid: 0caffca3-c6bc-46fe-b10e-a53881926f10
  resourceVersion: "31556"
  uid: f9b10867-20c5-4e7a-ae3d-4d8e72103fcd
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    path: /metrics
    port: https
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: nfd-controller-manager-metrics-service.openshift-nfd.svc
  selector:
    matchLabels:
      control-plane: controller-manager
